"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var mapboxgl_1 = require("./mapboxgl");
var globalSettings = [
    'baseApiUrl',
    'maxParallelImageRequests',
    'workerClass',
    'workerCount',
    'workerUrl'
];
function setGlobals(props) {
    for (var _i = 0, globalSettings_1 = globalSettings; _i < globalSettings_1.length; _i++) {
        var key = globalSettings_1[_i];
        if (key in props) {
            mapboxgl_1.default[key] = props[key];
        }
    }
    if (props.RTLTextPlugin && mapboxgl_1.default.getRTLTextPluginStatus() === 'unavailable') {
        mapboxgl_1.default.setRTLTextPlugin(props.RTLTextPlugin, function (error) {
            if (error) {
                // eslint-disable-next-line
                console.error(error);
            }
        }, false);
    }
}
exports.default = setGlobals;
//# sourceMappingURL=set-globals.js.map