import mapboxgl from './mapboxgl';
const globalSettings = [
    'baseApiUrl',
    'maxParallelImageRequests',
    'workerClass',
    'workerCount',
    'workerUrl'
];
export default function setGlobals(props) {
    for (const key of globalSettings) {
        if (key in props) {
            mapboxgl[key] = props[key];
        }
    }
    if (props.RTLTextPlugin && mapboxgl.getRTLTextPluginStatus() === 'unavailable') {
        mapboxgl.setRTLTextPlugin(props.RTLTextPlugin, (error) => {
            if (error) {
                // eslint-disable-next-line
                console.error(error);
            }
        }, false);
    }
}
//# sourceMappingURL=set-globals.js.map